# pydicom.uid.register_transfer_syntax

pydicom.uid.register_transfer_syntax(uid: str | UID, implicit_vr: bool | None = None, little_endian: bool | None = None) → UID

  Register a private transfer syntax with the `uid` module so it can be used when reading datasets with `dcmread()`.

  Parameters:

    - uid (str | pydicom.uid.UID) – A UID which may or may not have had the corresponding dataset encoding set using `set_private_encoding()`.

    - implicit_vr (bool, optional) – If `True` then the transfer syntax uses implicit VR encoding, otherwise if `False` then it uses explicit VR encoding. Required when uid has not had the encoding set using `set_private_encoding()`.

    - little_endian (bool, optional) – If `True` then the transfer syntax uses little endian encoding, otherwise if `False` then it uses big endian encoding. Required when uid has not had the encoding set using `set_private_encoding()`.

  Returns:

    The registered UID.

  Return type:

    pydicom.uid.UID